<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.mall.mapper.CouponGoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="couponGoodsResultMap" type="org.springblade.modules.mall.entity.CouponGoods">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="goods_info_id" property="goodsInfoId"/>
        <result column="coupon_id" property="couponId"/>
    </resultMap>


    <select id="selectCouponGoodsPage" resultMap="couponGoodsResultMap">
        select * from biz_coupon_goods where is_deleted = 0
    </select>

</mapper>
